# class Chef::Exceptions::CookbookVersionSelection::UnsatisfiableRunListItem

In run_list expansion and resolution, a constraint was unsatisfiable.

This exception may not be the complete error report. If you resolve the misconfiguration represented by this exception and re-solve, you may get another exception

### Attributes

most_constrained_cookbooks[R]
non_existent_cookbooks[R]
run_list_item[R]

### Public Class Methods

new(message, run_list_item, non_existent_cookbooks, most_constrained_cookbooks) click to toggle source

#most_constrained_cookbooks: if I were to remove constraints regarding these cookbooks, I would get a solution or move on to the next error (deeper in the graph). An item in this list may be unsatisfiable, but when resolved may also reveal further unsatisfiable constraints; this condition would not be reported.

Calls superclass method

    # File lib/chef/exceptions.rb, line 284
    def initialize(message, run_list_item, non_existent_cookbooks, most_constrained_cookbooks)
      super(message)

      @run_list_item = run_list_item
      @non_existent_cookbooks = non_existent_cookbooks
      @most_constrained_cookbooks = most_constrained_cookbooks
    end

### Public Instance Methods

to_json(*a) click to toggle source

    # File lib/chef/exceptions.rb, line 292
    def to_json(*a)
      result = {
        "message" => message,
        "unsatisfiable_run_list_item" => run_list_item,
        "non_existent_cookbooks" => non_existent_cookbooks,
        "most_constrained_cookbooks" => most_constrained_cookbooks
      }
      result.to_json(*a)
    end